Bug 124538 - The wizard dialog windows are not resizable
Summary: The wizard dialog windows are not resizable
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
5.1.5.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks: Database-Wizard
  Show dependency treegraph
 
Reported: 2019-04-04 02:10 UTC by wrtechnopath@gmail.com
Modified: 2021-10-04 09:14 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description wrtechnopath@gmail.com 2019-04-04 02:10:27 UTC
Description:
Using Base and its wizards I've experienced problems proceeding thru the screens because one of the panes doesn't resize properly. I can't resize the working wizard window in Windows or Ubuntu.

Steps to Reproduce:
1.Open a database
2.Open a wizard
3.Please let the dialog boxes be sizable.

Actual Results:
I could not change the size of the wizard window

Expected Results:
Any interactive window/box should be resizable


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.0.7.3
Build ID: 1:6.0.7-0ubuntu0.18.04.2
CPU threads: 2; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Alex Thurgood 2019-04-05 07:20:44 UTC
@wrtechnopath : are all wizard dialogs affected or only some ? Please be more specific.
Comment 2 Alex Thurgood 2019-04-05 12:52:50 UTC
Forget it, I can confirm this at least for :

- table creation wizard ;
- query creation wizard ;
- form creation wizard ;
- report creation wizard.

Version: 6.1.5.2
Build ID: 90f8dcf33c87b3705e78202e3df5142b201bd805
Threads CPU : 4; OS : Mac OS X 10.14.4; UI Render : par défaut; 
Locale : fr-FR (fr_FR.UTF-8); Calc: group threaded
Comment 3 Robert Großkopf 2019-04-05 18:44:06 UTC
Have tested this with
Version: 5.1.5.2
Build-ID: 7a864d8825610a8c07cfc3bc01dd4fce6a9447e5
CPU-Threads: 6; BS-Version: Linux 4.12; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group

Wizard for tables, queries etc. aren't resizable. Have they ever been resizable?
Comment 4 QA Administrators 2021-04-05 03:53:26 UTC Comment hidden (obsolete)
Comment 5 Roman Kuznetsov 2021-04-05 18:53:46 UTC
still repro in 

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 18cc01b63996f81b284e3bc827d1be7f3da8983a
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win
Locale: ru-RU (ru_RU); UI: ru-RU
Calc: threaded

but we really need to have it resizable?

UX-team, we need your opinion here
Comment 6 Heiko Tietze 2021-04-06 09:33:29 UTC
We allow resizing only for dialogs that require variable user input such as file browsers where you enter a file name. https://wiki.documentfoundation.org/Design/Guidelines/PropertyDialog

Proper resizing should be done by the content, please change the ticket so we can dig into this bug.
Comment 7 QA Administrators 2021-10-04 03:46:11 UTC Comment hidden (obsolete)
Comment 8 Adolfo Jayme Barrientos 2021-10-04 09:14:40 UTC
The OP talks about a window management problem that should be fixed by the DE in use, and has nothing to do with resizability.